> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeexpressltd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace a driver’s limit overrides

> A null amount exempts the driver from that fleet default.

Requires the `limits:write` scope.



## OpenAPI

````yaml /api-reference/openapi.json put /drivers/{driverId}/limits
openapi: 3.1.0
info:
  title: ChargeExpress Fleet API
  version: v1
  description: >-
    Manage your fleet’s drivers, vehicles, limits, charging and wallet, and
    receive webhooks.


    Scopes: `fleet:read` (Read the fleet, drivers, vehicles, sessions, wallet,
    invoices and events); `drivers:write` (Create, update, suspend and remove
    drivers); `vehicles:write` (Create, update and retire vehicles);
    `limits:write` (Change fleet and driver charging limits); `wallet:write`
    (Fund the wallet, pay usage invoices and set the low-balance alert);
    `webhooks:write` (Manage webhook endpoints and redeliver events).
servers:
  - url: https://partners.chargeexpressltd.com/api/public/v1
    description: Production
  - url: https://stage.partners.chargeexpressltd.com/api/public/v1
    description: Stage
security:
  - apiKey: []
paths:
  /drivers/{driverId}/limits:
    put:
      tags:
        - Limits
      summary: Replace a driver’s limit overrides
      description: |-
        A null amount exempts the driver from that fleet default.

        Requires the `limits:write` scope.
      operationId: replaceDriversLimitOverrides
      parameters:
        - schema:
            type: string
          required: true
          name: driverId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                limits:
                  type: array
                  items:
                    type: object
                    properties:
                      metric:
                        type: string
                        enum:
                          - kwh
                          - ghs
                      period:
                        type: string
                        enum:
                          - session
                          - day
                          - week
                          - month
                      amount:
                        anyOf:
                          - type: string
                          - type: number
                          - type: 'null'
                    required:
                      - metric
                      - period
                      - amount
                  maxItems: 8
              required:
                - limits
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - driver_limits
                  driver_id:
                    type: string
                  overrides:
                    type: array
                    items:
                      $ref: '#/components/schemas/Limit'
                  limits:
                    type: array
                    items:
                      $ref: '#/components/schemas/Limit'
                required:
                  - object
                  - driver_id
                  - overrides
                  - limits
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The key lacks the scope this request needs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Conflict with the current state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Limit:
      type: object
      properties:
        object:
          type: string
          enum:
            - limit
        metric:
          type: string
          enum:
            - kwh
            - ghs
        period:
          type: string
          enum:
            - session
            - day
            - week
            - month
        amount:
          type:
            - string
            - 'null'
        source:
          type: string
          enum:
            - fleet
            - driver
        used:
          type:
            - string
            - 'null'
        remaining:
          type:
            - string
            - 'null'
        period_start:
          type:
            - string
            - 'null'
        resets_at:
          type:
            - string
            - 'null'
      required:
        - object
        - metric
        - period
        - amount
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - authentication_error
                - permission_error
                - invalid_request_error
                - rate_limit_error
                - api_error
            code:
              type: string
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - request_id
      required:
        - error
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Your fleet API key, e.g. `Authorization: Bearer cxk_live_…`. Create keys
        in the fleet portal under Developers.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.